Solid Edge Geometry Type Library
IsPointInside Property
Description
Returns True if the specified point is unambiguously inside the volume enclosed by the referenced object.
Property type
Read-only property
Syntax
Visual Basic
Public Property IsPointInside( _
   ByRef Point() As Double _
) As Boolean
Parameters
Point
Remarks
This method is applicable only when the Shell is closed. Calling this method on a Shell that is not closed causes an error.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeframework.Application
    Dim objDoc As SolidEdgepart.PartDocument
    Dim objBody As solidedgegeometry.Body
    Dim objShell As solidedgegeometry.Shell
    Dim dblPoint(1 To 3) As Double
    Dim bIsInside As Boolean
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting the body object of the extruded protrusion feature
    Set objBody = objDoc.Models(1).Body
    ' getting a particular shell from the collection of shells on the body object
    Set objShell = objBody.Shells.Item(1)
    ' checking whether a point is inside the shell or not
    dblPoint(1) = 0.025
    dblPoint(2) = 0.025
    dblPoint(3) = 0.025
    bIsInside = objShell.IsPointInside(Point:=dblPoint)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objBody = Nothing
    Set objShell = Nothing
End Sub
See Also

Shell Object  | Shell Members